<?php
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;
class CreateCartsTable extends Migration
{
/**
 * Run the migrations.
 *
 * @return void
 */
public function up()
{
    Schema::create('carts', function (Blueprint $table) {
        $table->increments('id');
        $table->unsignedInteger('user_id')->nullable();
        $table->unsignedBigInteger('product_id')->nullable();
        $table->unsignedInteger('order_id')->nullable();
        $table->integer('product_quantity')->default(1);

        $table->foreign('order_id')
              ->references('id')->on('orders')
              ->onDelete('cascade');
        $table->foreign('product_id')
              ->references('id')->on('products')
              ->onDelete('cascade');
        $table->timestamps();
    });
}

/**
 * Reverse the migrations.
 *
 * @return void
 */
public function down()
{
    Schema::dropIfExists('carts');
}
}
