<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSalesTable extends Migration
{
/**
 * Run the migrations.
 *
 * @return void
 */
public function up()
{
    Schema::create('sales', function (Blueprint $table) {
        $table->increments('id');
        $table->unsignedInteger('order_id');
        $table->unsignedInteger('user_id')->nullable();
        $table->unsignedInteger('product_id');
        $table->string('product_name');
        $table->integer('product_quantity');
        $table->integer('product_price');

        $table->foreign('order_id')
              ->references('id')->on('orders')
              ->onDelete('cascade');
        $table->timestamps();
    });
}
/**
 * Reverse the migrations.
 *
 * @return void
 */
public function down()
{
    Schema::dropIfExists('sales');
}
}
